/* 
 *  RxSlidesPic.h -- picture struct for RxSlides
 *
 *  Assumes RxSlides.h (for BitMapHeader struct typedef)
 */

/*---------------------------------------------------------------------------
 * Picture structure - this contains all the revalent data for a picture file
 *-------------------------------------------------------------------------*/

struct picture
  {
  int			numcolors;	/* # of valid colors */
  int			fd;		/* the file # for this file */
  struct BitMap        *bm;		/* a bitmap to store the picture */
  long			bodysize;	/* # of bytes in the body data */
  struct BitMapHeader	bmhd;
  UBYTE			cmap[CMSIZE];	/* the color values for this picture */
	/* don't use the ColorRegister structure if using Aztec 'C' */
  };
